KILLALL(1)

NAMN
killall - döda processer efter namn

SYNOPSIS
killall [-Z, --context mönster] [-e, --exact] [-g, --process-group] [-i, --interactive] [-n, --ns PID] [-o, --older-than TID] [-q, --quiet] [-r, --regexp] [-s, --signal SIGNAL, -SIGNAL] [-u, --user användare] [-v, --verbose] [-w, --wait] [-y, --younger-than TID] [-I, --ignore-case] [-V, --version] [--] namn ...
killall -l, --list
killall -V, --version

BESKRIVNING
killall skickar en signal till alla processer som kör någon av de angivna kommandona. Om inget signalnamn anges skickas SIGTERM.

Signals can be specified either by name (e.g. -HUP or -SIGHUP) or by number (e.g. -1) or by option -s.

Om kommandonamnet inte är ett reguljärt uttryck (flagga -r) och innehåller ett snedstreck (/) kommer processer som kör den filen att bli utvalda och dödade, oberoende av deras namn.

killall returnerar en returkod som är noll om åtminstone en process har dödats för varje listat kommando eller om inga kommando listades och åtminstone en process matchade sökkriterierna -u och -Z. Annars returnerar killall något annat än noll.

En killall-process dödar aldrig sig själv (men kan döda andra killall-processer).

FLAGGOR

-e, --exact
    Kräver en exakt match för väldigt långa namn. Om ett kommandonamn är längre än 15 tecken kan det fullständiga namn vara otillgängligt (det kan t.ex. vara utspeglat). I detta fall kommer killall att döda allting som matchar de första 15 tecknen. Med -e kommer sådana poster att hoppas över. killall skriver ut ett meddelandet för varje överhoppad post om -v anges i kombination med -e.

-I, --ignore-case
    Gör namnmatchningen skiftlägesokänslig.

-g, --process-group
    Döda processgruppen som processen tillhör. Dödssignalen skickas endast en gång per grupp även om flera processer hittades som hör till samma processgrupp.

-i, --interactive
    Fråga interaktivt efter bekräftelse innan dödande.

-l, --list
    Lista alla kända signaler.

-n, --ns
    Matcha mot PID-namnrymden för den angivna PID:en. Standard är att matcha mot alla namnrymder.

-o, --older-than
    Matcha endast processer som är äldre (startade innan) den angivna tiden. Tiden anges som ett flyttal följt av en enhet. Enheterna är s,m,h,d,w,M,y för sekunder, minuter, timmar, dagar, veckor, månader respektive år.

-q, --quiet
    Klaga inte om inga processer dödades.

-r, --regexp
    Tolka processnamnmönstret som ett POSIX utökat reguljärt uttryck enligt regex(3).

-s, --signal, -SIGNAL
    Skicka denna signal istället för SIGTERM.

-u, --user
    Döda endast processer som den angivna användaren äger. Kommandonamnen är valfria.

-v, --verbose
    Rapportera om signalen skickades framgångsrikt.

-V, --version
    Visa versionsinformation.

-w, --wait
    Vänta på att alla dödade processer dör. killall kontrollerar en gång per sekund om någon av de dödade processerna fortfarande existerar och returnerar först när ingen finns kvar. Notera att killall kan komma att vänta för evigt om signalen ignorerats, inte hade någon effekt, eller om processen förblir i ett zombietillstånd.

-y, --younger-than
    Matcha endast processer som är yngre (startade efter) den angivna tiden. Tiden anges som ett flyttal följt av en enhet. Enheterna är s,m,h,d,w,M,y för sekunder, minuter, timmar, dagar, veckor, månader respektive år.

-Z, --context
    Ange säkerhetskontext: döda endast processer som har en säkerhetskontext som matchar det givna utökade reguljära uttrycksmönstret. Måste föregå andra argument på kommandoraden. Kommandonamnen är valfria.

FILER

/proc
    plats för proc-filsystemet

KÄNDA FEL
Dödande efter fil fungerar endast för körbara filer som förbli öppna under körning, d.v.s. orena körbara filer kan inte dödas på detta sätt.

Varning för att killall namn kanske inte får den önskade effekten på icke-Linux-system, speciellt när det körs som en privilegierad användare.

killall -w detekterar om en process försvinner och ersätts av en ny process med samma PID mellan genomsökningar.

Om processer ändrar sina namn kan killall kanske komma att misslyckas att matcha dem korrekt.

killall har en begränsning på antalet namn som kan anges på kommandoraden. Denna är storleken på en unsigned long int multiplicerad med 8. För de flesta 32-bitarssystem är begränsningen 32 och på samma sätt för ett 64-bitarssystem är begränsningen vanligtvis 64.

SE VIDARE
kill(1), fuser(1), pgrep(1), pidof(1), pkill(1), ps(1), kill(2), regex(3).